%def_disable static
%define rname libtunepimp

Name: %{rname}0.4
Version: 0.4.2
Release: alt0.3.M30

Group: System/Libraries
Summary: Library that provides access to the MusicBrainz server
License: LGPL
Url: http://www.musicbrainz.org/


Source: ftp://ftp.musicbrainz.org/pub/musicbrainz/%rname-%version.tar.gz
Patch: libtunepimp-0.4.0-disallowed.patch
#Patch: libtunepimp-0.4.0-xbrowser.patch
#Patch1: libtunepimp-make.patch
Patch1: libtunepimp-taglib.patch

# Automatically added by buildreq on Wed Oct 20 2004 (-bi)
#BuildRequires: gcc-c++ gcc-g77 libflac-devel libmad-devel libmusicbrainz-devel libogg-devel libreadline-devel libstdc++-devel libvorbis-devel python-base python-modules-compiler python-modules-encodings rpm-build-python zlib-devel
BuildRequires: gcc-c++ libflac-devel libmad-devel libmusicbrainz-devel
BuildRequires: libogg-devel libreadline-devel libstdc++-devel
BuildRequires: libvorbis-devel zlib-devel libncurses-devel

%description
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable Audio CD and MP3/Vorbis players to download
metadata about the music they are playing.

The TunePimp library (also referred to as libtunepimp) is a development
library geared towards developers who wish to create MusicBrainz enabled
tagging applications.

%package devel
Summary: Include Files and Libraries mandatory for Development
Group: Development/C
Requires: %name = %version-%release
Provides:  %{rname}-devel = %version-%release
Obsoletes: %{rname}-devel < %version-%release

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require TunePimp library.

%package utils
Summary: TRM Generator
Group: Sound
License: GPL
Requires: %name = %version-%release
Provides: tp_tagger = %version-%release
Obsoletes: tp_tagger < %version-%release
Provides: trm = %version-%release
Obsoletes: trm < %version-%release
Provides:  %{rname}04-utils = %version-%release
Obsoletes: %{rname}04-utils < %version-%release

%description utils
The TRM Generator is a small test application that generates Relatable
TRM acoustic fingerprints. This tool is mainly designed
as a test/debugging tool for software developers.

%prep
%setup -q -n %rname-%version
%patch -p1
%patch1 -p1
%__subst s/-ltermcap//g configure*

%__libtoolize --copy --force
%__aclocal
%__automake
%__autoconf

%build
%configure \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__rm -f examples/Makefile.in

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
%_libdir/*.so.*
%_libdir/tunepimp/plugins
%doc AUTHORS ChangeLog README* TODO

%files devel
%_includedir/tunepimp
%_libdir/*.so

%files utils
%_bindir/trm
%_bindir/tp_tagger

%changelog
* Sat Oct 21 2006 Zerg <zerg at altlinux dot org> 0.4.2-alt0.3.M30
- rename to make possible install with 0.3.x

* Thu Aug 03 2006 Zerg <zerg at altlinux dot org> 0.4.2-alt0.2.M30
- rename package to original name because now requires for
  old version in M30

* Tue Jun 20 2006 Zerg <zerg at altlinux dot org> 0.4.2-alt0.1.M30
- built for M30

* Mon Feb 13 2006 Mikhail Yakshin <greycat@altlinux.org> 0.4.2-alt1
- 0.4.2

* Fri Dec 23 2005 Mikhail Yakshin <greycat@altlinux.org> 0.4.0-alt2
- added patch to disallow several characters for FAT32/NTFS systems

* Mon Dec 05 2005 Mikhail Yakshin <greycat@altlinux.org> 0.4.0-alt1
- 0.4.0

* Tue Feb 22 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.0-alt1.1.1
- Rebuilt with libflac-1.1.2-alt1

* Tue Jan 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1.1
- rebuild with g++-3.4.

* Thu Oct 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- First build for Sisyphus.

